/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.structure.apio.internal.model;

import com.liferay.dynamic.data.mapping.model.DDMFormField;
import com.liferay.dynamic.data.mapping.model.DDMFormLayoutPage;
import com.liferay.dynamic.data.mapping.model.LocalizedValue;

import java.util.List;
import java.util.Locale;

/**
 * @author Paulo Cruz
 */
public class FormLayoutPage {

	public FormLayoutPage(
		DDMFormLayoutPage ddmFormLayoutPage, List<DDMFormField> fields) {

		_description = ddmFormLayoutPage.getDescription();
		_fields = fields;
		_title = ddmFormLayoutPage.getTitle();
	}

	public String getDescription(Locale locale) {
		return _description.getString(locale);
	}

	public List<DDMFormField> getFields() {
		return _fields;
	}

	public String getTitle(Locale locale) {
		return _title.getString(locale);
	}

	private final LocalizedValue _description;
	private final List<DDMFormField> _fields;
	private final LocalizedValue _title;

}